Hex: Amplitudes Class Reference

| Hex 2.2 Hydrogen-electron collision solver

Data Structures | Public Member Functions
Amplitudes Class Reference

Extraction of amplitudes from solutions. More...

`#include <amplitudes.h>`

## Public Member Functions

| Amplitudes (Bspline const &bspline_inner, Bspline const &bspline_full, InputFile const &inp, Parallel const &par, CommandLine const &cmd, std::vector< std::pair< int, int >> const &ang)
void | extract (std::string directory=".")
| Extract the amplitudes. More...
void | writeSQL_files (std::string directory=".")
| Write SQL batch file. More...
void | writeICS_files (std::string directory=".")
| Write integral cross sections to file. More...
void | verbose (bool b)
| Set verbosity level. More...

## Detailed Description

This class is responsible for the last stage of the computation: the extraction of T-matrices from the calculated solutions. Given the input file (and some other environment classes) it will load solution one after one and extract all requested amplitudes. Unavailable solutions are skipped with a warning message, so it is possible to run the extraction even when some other process is yet doing the main computation.

The class also offers the possibility to write out the data: as an SQL batch file for use in hex-db, or as a text file containing cross section column data.

## Constructor & Destructor Documentation

## ◆ Amplitudes()

Amplitudes::Amplitudes | ( | Bspline const & | bspline_inner,
|  | Bspline const & | bspline_full,
|  | InputFile const & | inp,
|  | Parallel const & | par,
|  | CommandLine const & | cmd,
|  | std::vector< std::pair< int, int >> const & | ang
| ) |  |

## Member Function Documentation

## ◆ extract()

void Amplitudes::extract | ( | std::string | directory = `"."` | ) |

This is the main routine of the class. It will do the extraction of T-matrices, which involves some linear algebra (~ radial integrals in B-spline basis) and computations of various coupling coefficients. In the end the class will contain T-matrices and partial cross sections for transitions requested in the input file.

## ◆ verbose()

void Amplitudes::verbose | ( | bool | b | ) |

inline

This function can be used to mute the text output of this class.

## ◆ writeICS_files()

void Amplitudes::writeICS_files | ( | std::string | directory = `"."` | ) |

This routine will write the partial integral cross sections (i.e. for the given total quantum numbers) for every transition and energy into a text column-formatted file "ics-n-L-S-Pi.dat". (Symbols will be replaced by the actual values of these quantum numbers.) The format is as follows: The first column lists the energies, the next columns are cross sections for every possible transition allowed by input file. The first row is the header, which is commented out by hash symbol ('#') for easy use in gnuplot. An example of a name of a column is

         2p(-1)-2p(1)

which is a transition from \( |nlm\rangle |\mathbf{k}\rangle = |2,1,-1\rangle |\mathbf{k}_i\rangle \) to \( |nlm\rangle |\mathbf{k}\rangle = |2,1,1\rangle |\mathbf{k}_f\rangle \).

## ◆ writeSQL_files()

void Amplitudes::writeSQL_files | ( | std::string | directory = `"."` | ) |

This routine will write out T-matrices in the form of SQL batch file usable in hex-db. The file's name will be "tmat-n-L-S-Pi.sql", where the symbols will be substituted by actual values of these total quantum numbers. See the documentation of hex-db for details on the output format.

The documentation for this class was generated from the following files:

- src/amplitudes.h
- src/amplitudes.cpp